
.litepicker {
    border: 1px solid black;
    background: #ddd;
}

.litepicker .container__main {
    display: flex;
}

.litepicker .container__predefined-ranges {
    margin: 5px;
}

.litepicker .container__months {
    display: flex;
    flex-wrap: wrap;
    grid-column-gap: 1px;
    background-color: #aaa;
    border-right: 1px solid #aaa;
}

.litepicker .container__months.columns-2 {
    /* width: 660px; */
}

.litepicker .month-item {
    width: 320px;
    box-sizing: content-box;
    /* margin: 5px; */
    padding: 5px;

    background-color: #ddd;
}

.litepicker .month-item-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.litepicker .month-item-weekdays-row {
    display: flex;
    justify-self: center;
    justify-content: flex-start;
}

.litepicker .month-item-weekdays-row > div {
    padding: 5px 0;
    flex: 1;
    width: 20px;
    text-align: center;
}

.litepicker .container__days {
    display: flex;
    flex-wrap: wrap;
    justify-self: center;
    justify-content: flex-start;
    text-align: center;
    box-sizing: content-box;
}

.litepicker .container__days > div, .litepicker .container__days > a {
    width: 36px;
    padding: 5px 0;
    border: 2px solid #ddd;
    user-select: none;
}

.litepicker .container__days .day-item {
    background: white;
}

.litepicker .container__days .day-item:hover {
    background: #eef;

}

.litepicker .container__days .day-item.is-in-range {
    background: #aaf;
    color: grey;
}

.litepicker .container__days .day-item.is-start-date {
    background: #aaf;
    color: white;
}

.litepicker .container__days .day-item.is-end-date {
    background: #aaf;
    color: white;
}

.litepicker .container__days .day-item.is-locked {
    background: #eee;
    color: #999;
}

.litepicker .container__predefined-ranges {
}

.litepicker .container__footer {
    text-align: right;
    padding: 5px;
    background: #bbb;
}

.litepicker .button-previous-month *,
.litepicker .button-next-month * {
    pointer-events: none;
}

.litepicker .container__tooltip {
    position: absolute;
    /* margin-top: -4px;
        padding: 4px 8px;
        border-radius: 4px; */
    background-color: white;
    /*      box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25); */
    white-space: nowrap;
    font-size: 11px;
    pointer-events: none;
    visibility: hidden;
    /* width: 50px; */
    /* height: 20px; */
    padding: 3px;
    border: 1px solid black;
}

.litepicker .container__timestamp {
    display: flex;
    border-top: 1px solid grey;
    flex-direction: row;
    gap: 0.3em;
    padding: 0.5em;
    justify-content: center; /* Align horizontal */
    align-items: center; /* Align vertical */
}
